Which web browsers are best for ThaleMine?

×

Status message

New Feature: Guest Login function added to facilitate site exploration without registering. Try it out!

The HTML5 content of ThaleMine requires a fairly recent version of a modern browser such as Chrome 33, Firefox 28, Safari 6, or Internet Explorer 10. There are known minor display issues with FireFox 28 (see the InterMine source code bug tracker 583). ThaleMine is incompatible with Internet Explorer 8 and older versions of MSIE.